// import { getPayListApi } from "@/pages/pay/API/pos";
import { observable, runInAction } from "mobx";
/**
 * 全局需要的搜索条件列表
 * */
const globaStore: {
  data: {
    /**cp列表*/
    cpList: any[];
  };
  /**初始化操作*/
  init(): Promise<void>;
} = {
  data: {
    cpList: [],
  },
  /**初始化操作*/
  async init() {
    /**cp列表*/
    // let cpList = await getCpChoiceListApi();
    runInAction(() => {
      this.data = {
        ...this.data,
        // cpList: cpList?.data || [],
      };
    });
  },
  
};
export default observable(globaStore);
